curl --request GET \
--url https://app.tagadapay.com/api/public/v1/payment-instruments/{paymentInstrumentId} \
--header 'Authorization: Bearer <token>'{
"id": "pi_123",
"type": "card",
"customerId": "cus_123",
"accountId": "acc_123",
"isActive": true,
"isDefault": false,
"tokenizer": "basistheory",
"createdAt": "2024-03-20T10:30:00Z",
"card": {
"last4": "1234",
"brand": "visa",
"expYear": 2025,
"expMonth": 12
},
"customer": {
"id": "cus_123",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe"
},
"cardEnrichment": {
"funding": "credit",
"segment": "premium"
},
"processorTokens": []
}Get payment instrument details including customer info and card enrichment
curl --request GET \
--url https://app.tagadapay.com/api/public/v1/payment-instruments/{paymentInstrumentId} \
--header 'Authorization: Bearer <token>'{
"id": "pi_123",
"type": "card",
"customerId": "cus_123",
"accountId": "acc_123",
"isActive": true,
"isDefault": false,
"tokenizer": "basistheory",
"createdAt": "2024-03-20T10:30:00Z",
"card": {
"last4": "1234",
"brand": "visa",
"expYear": 2025,
"expMonth": 12
},
"customer": {
"id": "cus_123",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe"
},
"cardEnrichment": {
"funding": "credit",
"segment": "premium"
},
"processorTokens": []
}